Bug 91410 - Inconsistent rounding in table layout causes background color to bleed through
Summary: Inconsistent rounding in table layout causes background color to bleed through
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Emil A Eklund
URL:
Keywords:
Depends on:
Blocks: 99376
  Show dependency treegraph
 
Reported: 2012-07-16 11:54 PDT by Emil A Eklund
Modified: 2012-10-15 15:54 PDT (History)
8 users (show)

See Also:


Attachments
Patch (18.55 KB, patch)
2012-07-16 12:06 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from gce-cr-linux-05 (782.81 KB, application/zip)
2012-07-16 13:42 PDT, WebKit Review Bot
no flags Details
Patch (272.69 KB, patch)
2012-07-16 14:06 PDT, Emil A Eklund
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from gce-cr-linux-02 (606.57 KB, application/zip)
2012-07-16 15:04 PDT, WebKit Review Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emil A Eklund 2012-07-16 11:54:43 PDT
At certain zoom levels a rounding error in the table layout code cases the table background color to bleed through between cells. 

This only affects platforms that have enabled sub-pixel layout.

Downstream chromium bug: http://code.google.com/p/chromium/issues/detail?id=137191
Comment 1 Emil A Eklund 2012-07-16 12:06:41 PDT
Created attachment 152581 [details]
Patch
Comment 2 WebKit Review Bot 2012-07-16 13:42:45 PDT
Comment on attachment 152581 [details]
Patch

Attachment 152581 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/13260120

New failing tests:
css1/basic/inheritance.html
svg/zoom/page/zoom-svg-through-object-with-absolute-size.xhtml
svg/zoom/page/zoom-img-preserveAspectRatio-support-1.html
svg/zoom/page/zoom-replaced-intrinsic-ratio-001.htm
svg/zoom/page/zoom-svg-through-object-with-percentage-size.xhtml
svg/zoom/page/zoom-svg-through-object-with-absolute-size-2.xhtml
tables/mozilla/bugs/bug73321.html
Comment 3 WebKit Review Bot 2012-07-16 13:42:50 PDT
Created attachment 152604 [details]
Archive of layout-test-results from gce-cr-linux-05

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: gce-cr-linux-05  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.39-gcg-201203291735-x86_64-with-Ubuntu-10.04-lucid
Comment 4 Emil A Eklund 2012-07-16 14:06:19 PDT
Created attachment 152608 [details]
Patch
Comment 5 Emil A Eklund 2012-07-16 14:41:24 PDT
The eseidel is back! Thanks Eric.
Comment 6 Eric Seidel (no email) 2012-07-16 14:44:37 PDT
Where did I go? :)

I guess I've just not been hunting the r? queue much these last couple weeks.

In any case, I'm here for your reviewing pleasure, just let me know.
Comment 7 WebKit Review Bot 2012-07-16 15:04:13 PDT
Comment on attachment 152608 [details]
Patch

Attachment 152608 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/13268001

New failing tests:
plugins/embed-attributes-style.html
svg/zoom/page/zoom-replaced-intrinsic-ratio-001.htm
Comment 8 WebKit Review Bot 2012-07-16 15:04:19 PDT
Created attachment 152621 [details]
Archive of layout-test-results from gce-cr-linux-02

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: gce-cr-linux-02  Port: <class 'webkitpy.common.config.ports.ChromiumXVFBPort'>  Platform: Linux-2.6.39-gcg-201203291735-x86_64-with-Ubuntu-10.04-lucid
Comment 9 Emil A Eklund 2012-07-16 15:11:02 PDT
Committed r122769: <http://trac.webkit.org/changeset/122769>
Comment 10 Jer Noble 2012-07-18 16:45:47 PDT
This commit broke the fast/sub-pixel/selection/selection-gaps-at-fractional-offsets.html test on every platform which had previously skipped it by removing the "/selection/" from each Skipped list entry containing the test.
Comment 11 Jer Noble 2012-07-18 16:50:52 PDT
Fixed in http://trac.webkit.org/changeset/123046.
Comment 12 Emil A Eklund 2012-07-18 16:53:17 PDT
My bad, thank you!